# GenerateIvyDescriptor

API Documentation: | `GenerateIvyDescriptor`

Note: This class is incubating and may change in a future version of Gradle.

Generates an Ivy XML Module Descriptor file.

### Properties

Property | Description
`descriptor` | Incubating The module descriptor metadata.
`destination` | Incubating The file the descriptor will be written to.

### Property details

#### `IvyModuleDescriptor` `descriptor`

Note: This property is incubating and may change in a future version of Gradle.

The module descriptor metadata.

#### `File` `destination`

Note: This property is incubating and may change in a future version of Gradle.

The file the descriptor will be written to.

### Script blocks

No script blocks

### Methods

No methods